List Notifications
GET
/users/{user_id}/notifications
const url = 'https://example.com/users/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/notifications';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/users/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/notificationsInbox messages (newest first) + the unread count for the bell badge.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”user_id
required
User Id
string format: uuid
Responses
Section titled “Responses”Successful Response
Media typeapplication/json
NotificationListResponse
The inbox: messages (newest first) + the unread count for the bell badge.
object
notifications
required
Notifications
Array<object>
NotificationReadobject
body
required
Body
string
created_at
required
Created At
string format: date-time
id
required
Id
string format: uuid
kind
required
Kind
string
summary
required
Summary
string
title
required
Title
string
updated_at
required
Updated At
string format: date-time
unread_count
required
Unread Count
integer
Examplegenerated
{ "notifications": [ { "action_route": "example", "body": "example", "created_at": "2026-04-15T12:00:00Z", "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "kind": "example", "read_at": "2026-04-15T12:00:00Z", "summary": "example", "title": "example", "updated_at": "2026-04-15T12:00:00Z" } ], "unread_count": 1}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example" } ]}